## tripwire 2.3.1.2

=== man/Makefile ===
.SUFFIXES:  .4 .5 .8 .ps .txt

#######################################
### The following work with Solaris 2.5, 2.6, and 7.0
#######################################
# TROFF=troff
# TROFFOPTS=-man -Tpost
# POST=/usr/lib/lp/postscript/dpost
# NROFF=nroff
# NROFFOPTS=-man
# TBL=tbl
# COL=col
### To emulate man, leave COLOPTS empty.
COLOPTS=
### If you plan to print a hardcopy of nroff output, use this instead.
# COLOPTS=-bx

#######################################
### The following work with AIX 4.3
#######################################
TROFF=troff
TROFFOPTS=-man -Tpsc
POST=psc
NROFF=nroff
NROFFOPTS=-man
TBL=tbl
COL=col
### To emulate man, leave COLOPTS empty.
COLOPTS=
### If you plan to print a hardcopy of nroff output, use this instead.
# COLOPTS=-bx

#######################################
### The following works with RedHat Linux 5.2
### Also works with Irix 6.5 if groff is installed.
### The following *may* work with Tru64 Unix
#######################################
# TROFF=troff
# TROFFOPTS=-man -Tps
# POST=grops
# NROFF=nroff
# NROFFOPTS=-man
# TBL=tbl
# COL=col
### To emulate man, leave COLOPTS empty.
# COLOPTS=
### If you plan to print a hardcopy of nroff output, use this instead.
# COLOPTS=-bx

.4.ps:
	$(TBL) $< | $(TROFF) $(TROFFOPTS) | $(POST) > $*.ps
.5.ps:
	$(TBL) $< | $(TROFF) $(TROFFOPTS) | $(POST) > $*.ps
.8.ps:
	$(TBL) $< | $(TROFF) $(TROFFOPTS) | $(POST) > $*.ps

.4.txt:
	$(TBL) $< | $(NROFF) $(NROFFOPTS) | $(COL) $(COLOPTS) > $*.txt
.5.txt:
	$(TBL) $< | $(NROFF) $(NROFFOPTS) | $(COL) $(COLOPTS) > $*.txt
.8.txt:
	$(TBL) $< | $(NROFF) $(NROFFOPTS) | $(COL) $(COLOPTS) > $*.txt

help:
	# This makefile is used to format Tripwire man pages.
	# It assumes that all the man pages are in the same
	# directory with the Makefile.  For each man page,
	# two files are created.  The .txt file contains
	# the nroff output; the .ps file contains the
	# troff output.
	#
	# To make all the man pages: make all
	# To make all section 4 man pages: make man4
	#    ('man5' and 'man8' are also valid targets.)
	# To format a specific man page: make twconfig
	#    (That is, specify the name minus the extension.)
	# To produce a specific output file: make twconfig.txt
	# To clean up: make clean

all: man4 man5 man8

man4: twpolicy twconfig
man5: twfiles
man8: siggen tripwire twadmin twintro twprint

twpolicy: twpolicy.ps twpolicy.txt
twconfig: twconfig.ps twconfig.txt
twfiles: twfiles.ps twfiles.txt
siggen: siggen.ps siggen.txt
tripwire: tripwire.ps tripwire.txt
twadmin: twadmin.ps twadmin.txt
twintro: twintro.ps twintro.txt
twprint: twprint.ps twprint.txt

clean:
	- rm *.ps *.txt

=== src/Makefile ===
##############################################################################
# Tripwire Master Makefile
# 
# *** Configuration
#
# This makefile handles different platforms targets through the use of the 
# makefile variable "SYSPRE".	 To configure the make process for your specific
# platform edit the SYSPRE variable in the Configuration section below to match your
# setup.
#
# During the build process this makefile recursively calls gmake using this
# file (Makefile) or one of the subdirectory makefiles (e.g. core/core.mak) 
# as the makefile.  When it does this it passes the SYSPRE definition along
# by using the directive "SYSPRE=$(SYSPRE)".
#
# Comments that start with '#=' are echoed to the screen by the default target, help.
#= *** Build Commands 
#=
#= Please note that all Tripwire makefiles require GNU make (gmake) to build!
#=
#= To create release binaries and generate a log file:
#=
#=	  gmake release
#=
#= To create debug binaries and generate a log file:
#=
#=	  gmake debug
#=
#= There are four release or debug binaries.  They are:
#= twadmin tripwire twprint siggen
#=
#= To create individual release or debug binaries respectively:
#=
#=	  gmake twadmin_r
#=	  gmake twadmin_d
#=
#= To create individual release or debug libraries respectively:
#=
#=	  gmake core_r
#=	  gmake core_d
#=
#= The libraries are:
#= STLport cryptlib core db fco fs tw twcrypto twparser util
#= 
#= To erase object files, but not executable and lib files:
#=
#=	  gmake clean
#=
#= To erase all output files, including executable and library files 
#=	(except STLport libraries, see next directive):
#=
#=	  gmake clobber
#=
#= To clobber everything including the STLport libs (Note:  This will remove 
#= the bin directory, including any config or policy files contained therein.):
#=
#=	  gmake distclean
#=
##############################################################################


##############################################################################
# BEGIN: Configuration section



#-----------------------------------------------------------------------------
# SYSPRE makefile variable
#
# System prefix convention is to use a single character to designate the 
# operating system and a single character to designate the architecture.  
#
# Uncomment the appropriate SYSPRE definition below for your architecture.
# Note that if you uncomment more than one, gmake will use the last one.
#
# Prefix for various OS/Architectures:
#
# i686-pc-linux == Linux Intel x86
# sparc-linux == Linux Sparc (not fully implemented)
#

SYSPRE = i686-pc-linux
#SYSPRE = sparc-linux
#SYSPRE = i386-unknown-freebsd
#SYSPRE = i386-unknown-openbsd


#-----------------------------------------------------------------------------
# MAKEFILE
#
# Set this to the name of this file.  This is used when we recursively call
# gmake on this file.  We include this variable so that you can rename this
# file to Makefile.linux_intel or something similar.

MAKEFILE = Makefile
GMAKE = gmake

#-----------------------------------------------------------------------------
# STLPORT
#
# The directory of the STLport.  If this changes, it must be changed here,
# in $(SYSPRE).inc, and in cryptlib/$(SYSPRE).mak

STLPORT = STLport-4.0


# END: Configuration section
##############################################################################
# BEGIN: Variable definitions


LIBDIR=../lib
LIBPRE=$(LIBDIR)/$(SYSPRE)
# eg, ../lib/i686-pc-linux
BINDIR=../bin
BINPRE=$(BINDIR)/$(SYSPRE)


# Here are the four main executables, or twixes.  
#
binaries  = twprint twadmin siggen tripwire

# ('test' is a binary, but we don't want it automatically made when
# 'make debug' or 'make release' is invoked)

debugbinaries = $(patsubst %, %_d, $(binaries))     # e.g, twprint_d
releasebinaries = $(patsubst %, %_r, $(binaries))   # e.g, twprint_r


# These are the sub-projects, or libraries
# This is the only place where they are listed
# To add a new sub-project, append it here
# Also, it must live in a directory of the same name,
# and have a Makefile named <project>.mak
# The Makefile must have the targets:
# clean   clobber   debug   release

libraries = cryptlib core db fco fs tw twcrypto twparser util

debuglibraries = $(patsubst %, %_d, $(libraries))     # e.g, core_d
releaselibraries = $(patsubst %, %_r, $(libraries))   # e.g, core_r

# TODO:  modify STLport so that it can be included in libraries too.


# It's handy for clean, .PHONY, etc. to have one big list
#
targets  = $(debugbinaries) $(debuglibraries) $(releasebinaries) $(releaselibraries) STLport_d STLport_r


# Let make know these aren't real file names...
#
.PHONY: clean clobber distclean release debug $(targets)


# Eliminate all implicit rules just to be safe
#
.SUFFIXES:


# END: Variable Definitions
##############################################################################
# BEGIN: Targets


default: help
help:
	@-grep "^#=" $(MAKEFILE)


#####################################################################
# binaries (and test)
# 
# These are the release targets for the twixes
#
#This line expands to something like:
#
#twprint_r: STLport_r cryptlib_r core_r, fco_r, ...
#	/usr/bin/make -C twprint -f twprint.mak release "BUILDTYPE=r" "SYSPRE=i686-pc-linux"
#

$(releasebinaries) test_r: STLport_r $(releaselibraries)
	$(GMAKE) -C $(subst _r,,$@) -f $(subst _r,.mak,$@) release "SYSPRE=$(SYSPRE)"


# These are the debug targets for the twixes
#
#This line expands to something like:
#
#twprint_d: STLport_d cryptlib_d core_d, fco_d, ...
#	/usr/bin/make -C twprint -f twprint.mak debug "SYSPRE=i686-pc-linux"
#

$(debugbinaries) test_d: STLport_d $(debuglibraries)
	$(GMAKE) -C $(subst _d,,$@) -f $(subst _d,.mak,$@) debug "SYSPRE=$(SYSPRE)"


# Aliases:
# If 'make release|debug' is invoked, a log file is generated

release: 
	echo "\"MAKE RELEASE\"" > release.$(SYSPRE).out
	date >> release.$(SYSPRE).out
	echo "\"$(GMAKE) -f $(MAKEFILE) $(releasebinaries) | tee -a release.$(SYSPRE).out\"" >> release.$(SYSPRE).out
	$(GMAKE) -f $(MAKEFILE) $(releasebinaries) | tee -a release.$(SYSPRE).out
	date >> release.$(SYSPRE).out
debug: 
	echo "\"MAKE DEBUG\"" > debug.$(SYSPRE).out
	date >> debug.$(SYSPRE).out
	echo "\"$(GMAKE) -f $(MAKEFILE) $(debugbinaries) | tee -a debug.$(SYSPRE).out\"" >> debug.$(SYSPRE).out
	$(GMAKE) -f $(MAKEFILE) $(debugbinaries) | tee -a debug.$(SYSPRE).out
	date >> debug.$(SYSPRE).out

all: release debug


#####################################################################
# libraries
#
# These are release targets for each library.
# This line expands to something like:
#
#core_r:
#	/usr/bin/make/ -C core -f core.mak release "SYSPRE=i686-pc-linux"
#

$(releaselibraries):
	$(GMAKE) -C $(subst _r,,$@) -f $(subst _r,.mak,$@) release "SYSPRE=$(SYSPRE)"


# these are debug targets for each library. This expands to something like:
#core_d:
#	/usr/bin/make/ -C core -f core.mak debug "SYSPRE=i686-pc-linux"
#

$(debuglibraries):
	$(GMAKE) -C $(subst _d,,$@) -f $(subst _d,.mak,$@) debug "SYSPRE=$(SYSPRE)"

# crypto++ makes an executable, cryptest or cryptest_d
# Therefore it links (to STLport), so we have to add a dependency:

cryptlib_r: STLport_r
cryptlib_d: STLport_d


#####################################################################
# clobber clean distclean
#
# make clobber gets rid of all object files and the binaries
# (for everything except stlport, see distclean below)
#
# make clean gets rid of all object files but not the binaries
#

clobber clean:
	@libs='$(binaries) $(libraries) test'; \
	for lib in $$libs; do \
		echo "$@ing $$lib"; \
		$(GMAKE) -s -C $$lib -f $$lib.mak $@ "SYSPRE=$(SYSPRE)"; \
		rm -f $$lib/$$lib.$(SYSPRE).dep; \
	done;
# Don't call clobber on STLport cause we don't expect to change it often and 
# it takes a long time to build.
	$(GMAKE) -C $(STLPORT) -f STLport.mak clean "SYSPRE=$(SYSPRE)"


# make distclean does a clobber AND deletes STL libs as well
#
# this is its own directive since it takes so long to rebuild the
# STL libraries
#

distclean: clobber
	$(GMAKE) -C $(STLPORT) -f STLport.mak clobber "SYSPRE=$(SYSPRE)"
	- rm -rf $(LIBPRE)_r $(LIBPRE)_d
	- rm -rf $(BINPRE)_r $(BINPRE)_d
	- rm -f debug.$(SYSPRE).out
	- rm -f release.$(SYSPRE).out


#####################################################################
# STLport
#

STLport_r:	 
	$(GMAKE) -C $(STLPORT) -f STLport.mak release "SYSPRE=$(SYSPRE)"
STLport_d:
	$(GMAKE) -C $(STLPORT) -f STLport.mak debug "SYSPRE=$(SYSPRE)"



#####################################################################
# parser

#TODO: right now there is nothing to be done for the parser; we just
# use the MKS generated yylex.{cpp,h}, yyparse.{cpp,h}, all of which
# live in code/twparser.  Perhaps this section should go away???

#$(LIBPRE)_$(BUILDTYPE)/parser.a: parser/parser.mak parser/*.h
#	$(GMAKE) -C parser -f parser.mak $(BUILDTARGET)	 "SYSPRE=$(SYSPRE)"


# (End Targets)

## tripwire 2.4.2

=== debian/changelog ===
tripwire (2.4.2-9ubuntu1) oneiric; urgency=low

  * Build with -fpermissive. LP: #832889.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Sep 2011 22:57:31 +0000

tripwire (2.4.2-9) unstable; urgency=low

  * Add the last Spanish translation. (Closes: #601769)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 02 Nov 2010 13:33:34 +0100

tripwire (2.4.2-8) unstable; urgency=low

  * The Yet Another Round Of Translations Release:
    - Russian (Closes: #600495)
    - French (Closes: #600497)
    - Swedish (Closes: #600498)
    - Finnish (Closes: #600516)
    - German (Closes: #600525)
    - Danish (Closes: #600532)
    - Basque (Closes: #600569)
    - Portuguese (Closes: #600651)
    - Japanese (Closes: #600934)
    - Czech (Closes: #601077)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 27 Oct 2010 19:16:30 +0200

tripwire (2.4.2-7) unstable; urgency=low

  * Fixed some typos in debian/templates.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sun, 17 Oct 2010 16:40:28 +0200

tripwire (2.4.2-6) unstable; urgency=low

  * More debconf translations! Updated:
    - Czech (Miroslav Kure). (Closes: #598350)
    - Basque (Iñaki Larrañaga Murgoitio). (Closes: #600071)
    - Italian (Vincenzo Campanella).  (Closes: #600097)
    - Spanish (Omar Campagne). (Closes: #600346)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Sat, 16 Oct 2010 20:03:17 +0200

tripwire (2.4.2-5) unstable; urgency=low

  * Fixed german debconf translation (Closes: #597046)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 17 Sep 2010 13:30:54 +0200

tripwire (2.4.2-4) unstable; urgency=low

  * The 'Mr. Perrier NMU email missive' release.
  * Updated debconf templates. (Closes: #588279, #588365,
    #589251, #589260, #590510, #591070, #596252, #596818)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 14 Sep 2010 13:32:57 +0200

tripwire (2.4.2-3) unstable; urgency=low

  * Brown paper bag release
    - Omit sendmail and editor check on build, not needed then
  * debian/twcfg.txt: Made it editor agnostic.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 06 Jul 2010 13:29:28 +0200

tripwire (2.4.2-2) unstable; urgency=low

  * Patch install/install.sh to stop it from checking if
    it's running on a terminal. (Closes: #588099)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 05 Jul 2010 12:46:36 +0200

tripwire (2.4.2-1) unstable; urgency=low

  * New upstream release. (Closes: #377382)
  * New maintainer (Closes: #543887)
  * Reworked the whole package.
    - Moved diff.gz to debian/patches
    - Build binaries statically again (Closes: #378523)
    - Switch to dpkg-source 3.0 (quilt) format.
    - Bumped Standards-Version to 3.9.0.
    - Rewrote debian/copyright debian/rules
    - Use postfix instead of exim4 as mta alternative :P
    - Made lintian clean

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 24 Jun 2010 17:43:30 +0200

tripwire (2.3.1.2.0-13) unstable; urgency=low

  * Updating to standards 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:08:14 +0200

tripwire (2.3.1.2.0-12) unstable; urgency=low

  * Adding vcs fields to control file.
  * Adding Basque debconf translation from Piarres Beobide
    <pi+debian@beobide.net> (Closes: #479964).
  * Removing po cruft imported with 2.3.1.2.0-11.1.
  * Removing watch file.
  * Removing useless whitespace in changelog of 2.3.1.2.0-11.1.

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 May 2008 22:17:00 +0200

tripwire (2.3.1.2.0-11.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Fix typos/errors/inconsistencies in debconf templates.
    Closes: #438401
  * Correct debian/watch file. Thanks to Raphaël Geissert.
    Closes: #449676
  * Debconf translations:
    - German. Closes: #438399
    - Finnish. Closes: #476568
    - German. Closes: #478321
    - Galician. Closes: #479102
    - Russian. Closes: #479417
  * [Lintian] No longer ignore errors from "make clean"

 -- Christian Perrier <bubulle@debian.org>  Sat, 12 Apr 2008 16:39:32 +0200

tripwire (2.3.1.2.0-11) unstable; urgency=medium

  * Applied patch from Helge Kreutzmann <debian@helgefjell.de> to the English
    debconf template (Closes: #408644).
  * Applied patch from Javier Fernández-Sanguino Peña <jfs@computer.orgto
    fix typo in Spanish debconf translation (Closes: #418827).
  * Applied patch from Andrew Schulman <andrex@alumni.utexas.net> to fix typos
    in README.Debian (Closes: #378670).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Apr 2007 12:58:00 +0200

tripwire (2.3.1.2.0-10) unstable; urgency=medium

  * New maintainer (Closes: #321113).
  * Replacing $(PWD) with $(CURDIR) in rules (Closes: #414004).

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Mar 2007 16:26:00 +0100

tripwire (2.3.1.2.0-9) unstable; urgency=medium

  * QA upload.
  * Added Spanish debconf translation from Javier Ruano <adrakoa@es.gnu.org>
    (Closes: #411000).

 -- Daniel Baumann <daniel@debian.org>  Tue, 13 Feb 2007 10:28:00 +0100

tripwire (2.3.1.2.0-8) unstable; urgency=medium

  * QA upload.
  * Added German debconf translation from Matthias Julius <mdeb@julius-net.net>
    (Closes: #408468).

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Jan 2007 11:32:10 +0100

tripwire (2.3.1.2.0-7) unstable; urgency=low

  * QA upload.
  * debian/po/sv.po: Add translation by Daniel Nylander.  Closes: #334546.
  * debian/po/pt.po: Add translation by Rui Branco.  Closes: #350949.

 -- Matej Vela <vela@debian.org>  Tue, 07 Mar 2006 17:19:10 +0100

tripwire (2.3.1.2.0-6) unstable; urgency=low

  * QA upload.
  * Use `Pre-Depends: debconf | debconf-2.0' to allow for cdebconf.
    Closes: #332123.
  * debian/config, debian/preinst, debian/postinst: Fix bashisms.
  * debian/overrides: Add override for a bashism false positive.

 -- Matej Vela <vela@debian.org>  Thu, 06 Oct 2005 01:37:52 +0200

tripwire (2.3.1.2.0-5) unstable; urgency=low

  * Set maintainer to Debian QA Group


=== debian/control ===
Source: tripwire
Section: utils
Priority: optional
Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.9.0

Package: tripwire
Architecture: any
Pre-Depends: ${misc:Depends}
Depends: ${shlibs:Depends}, postfix | mail-transport-agent
Description: file and directory integrity checker
 Tripwire is a tool that aids system administrators and users in
 monitoring a designated set of files for any changes.  Used with
 system files on a regular (e.g., daily) basis, Tripwire can notify
 system administrators of corrupted or tampered files, so damage
 control measures can be taken in a timely manner.

=== debian/rules ===
#!/usr/bin/make -f
# (c) 2010 Alberto Gonzalez Iniesta

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: $(QUILT_STAMPFN)
	dh_testdir
	cp /usr/share/misc/config.guess .
	cp /usr/share/misc/config.sub .
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire

build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f config.log

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/tripwire/usr
	rm -rf $(CURDIR)/debian/tripwire/etc/tripwire/twpol-Linux.txt
	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/policyguide.txt
	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/COPYING
	install -m 600 debian/twcfg.txt debian/twpol.txt $(CURDIR)/debian/tripwire/etc/tripwire/
	install -m 644 -D debian/overrides $(CURDIR)/debian/tripwire/usr/share/lintian/overrides/tripwire

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installcron
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tripwire 2.4.2.2

=== debian/changelog ===
tripwire (2.4.2.2-5) unstable; urgency=medium

  * debian/(control|rules): Add Build-Using field.
    (Closes: #769347)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 05 May 2015 12:00:27 +0200

tripwire (2.4.2.2-4) unstable; urgency=medium

  * Patch src/core/archive.cpp to fix FTBFS with GCC-4.9.
    Thanks dato for the patch! (Closes: #746919)
  * Bumped Standards-Version to 3.9.2

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 05 Jun 2014 14:12:24 +0200

tripwire (2.4.2.2-3) unstable; urgency=low

  * Remove sucky_autoconf_stuff patch, move to dh_autotools-dev_updateconfig.
    Thanks Logan Rosen for the patch (Closes: #736888)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Wed, 29 Jan 2014 12:45:41 +0100

tripwire (2.4.2.2-2) unstable; urgency=low

  * Acknowledge Christian's NMU. Thank you!
      Closes: #667399, #657170, #672740
  * Do not delete upstream's files on dh_clean.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Tue, 05 Jun 2012 10:45:08 +0200

tripwire (2.4.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> include and
    by adding “this->” when needed (Closes: #667399).
    Patch by Cyril Brulebois.
  * Fix pending l10n issues. Debconf translations:
    - Dutch; (Jeroen Schot).  Closes: #657170
    - Polish (Michał Kułach).  Closes: #672740

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 May 2012 07:05:29 +0200

tripwire (2.4.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches: removed cryptlib_endianness & hostname_policy_support.
    Applied upstream.
  * Updated debconf translations:
    - Brazilian Portuguese (Closes: #605288)
    - Slovak (Closes: #639433)
  * debian/patches: added source_typo to fix "Source" spelling error.
    (Closes: #627565)
  * Added TEMPDIRECTORY option in default twcfg.txt to keep tripwire
    from modifying the current directory or / when run from the cron job.
    (Closes: #616414, #353062). If you are already running tripwire you'll
    have to re-create the configuration file.
  * Made lintian (more) happy: 
    - added Description: to patches
    - included buid-{arch,indep} target in debian/rules
    - bumped Standards-Version to 3.9.2
    - added debian/watch file
    - included Homepage: field in debian/control
    - updated debian/patches/manpages_hyphen2minus
    - maintainer scripts: use "set -e" instead of "#!/bin/sh -e"
    - added overrides for statically-linked-binary and embedded-library

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Fri, 30 Dec 2011 14:29:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.5
+Homepage: http://sourceforge.net/projects/tripwire/
 
 Package: tripwire
 Architecture: any
 Pre-Depends: ${misc:Depends}
 Depends: ${shlibs:Depends}, postfix | mail-transport-agent
+Built-Using: ${Built-Using}
 Description: file and directory integrity checker
  Tripwire is a tool that aids system administrators and users in
  monitoring a designated set of files for any changes.  Used with

=== debian/rules ===
--- 
+++ 
@@ -9,22 +9,24 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
+# Add Built-Using to debian/control
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libgcc1 libc6)
 
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
-
+ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -g
+endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
 
 config.status: $(QUILT_STAMPFN)
 	dh_testdir
-	cp /usr/share/misc/config.guess .
-	cp /usr/share/misc/config.sub .
-	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire
+	dh_autotools-dev_updateconfig
+	./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: config.status
 	dh_testdir
@@ -42,8 +44,9 @@
 
 	# Add here commands to clean up after the build process.
 	[ ! -f Makefile ] || $(MAKE) distclean
-
-	dh_clean
+	
+	dh_autotools-dev_restoreconfig
+	dh_clean -Xsrc/buildnum.h~ -Xsrc/fco/fconame.h~ -Xsrc/fco/fcosetimpl.h~
 
 install: build
 	dh_testdir
@@ -56,7 +59,7 @@
 	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/policyguide.txt
 	rm -rf $(CURDIR)/debian/tripwire/usr/share/doc/tripwire/COPYING
 	install -m 600 debian/twcfg.txt debian/twpol.txt $(CURDIR)/debian/tripwire/etc/tripwire/
-	install -m 644 -D debian/overrides $(CURDIR)/debian/tripwire/usr/share/lintian/overrides/tripwire
+#	install -m 644 -D debian/overrides $(CURDIR)/debian/tripwire/usr/share/lintian/overrides/tripwire
 
 # Build architecture-independent files here.
 binary-indep: build install
@@ -71,6 +74,7 @@
 	dh_installexamples
 	dh_installcron
 	dh_installman
+	dh_lintian
 	dh_installchangelogs ChangeLog
 	dh_link
 	dh_strip
@@ -78,7 +82,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- -VBuilt-Using="$(BUILT_USING)"
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=3
http://sf.net/tripwire/tripwire-(.*)\.tar\.gz

## tripwire 2.4.3.1

=== debian/changelog ===
tripwire (2.4.3.1-2) unstable; urgency=medium

  * Use libc-dev-bin instead of libc6 to generate correct Built-Using.
    (Closes: #830720)

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 10 Nov 2016 17:21:04 +0100

tripwire (2.4.3.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove patches applied upstream:
      fix_ftbfs_with_gcc_4.7, fix_ftbfs_with_gcc_4.9,source_typo
    - (Closes: #811722, #807655, #807362, #686860)
  * debian/watch: Update upstream repository
  * debian/control: Update Homepage. Bumped Standards-Version to 3.9.8

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Thu, 12 May 2016 10:55:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
 Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.5
-Homepage: http://sourceforge.net/projects/tripwire/
+Standards-Version: 3.9.8
+Homepage: https://github.com/Tripwire/tripwire-open-source
 
 Package: tripwire
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 # Add Built-Using to debian/control
-BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libgcc1 libc6)
+BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libgcc1 libc-dev-bin)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g

## tripwire 2.4.3.7

=== debian/changelog ===
tripwire (2.4.3.7-1) unstable; urgency=medium

  [ Santiago Vila ]
  * New upstream release.
  * debian/rules: Use dh_auto_configure instead of ./configure to support
    cross-builds. Closes: #896474.
  * debian/compat: Raise debhelper compat level to 9.
    debian/control: Build-Depends on debhelper 9.

 -- Alberto Gonzalez Iniesta <agi@inittab.org>  Mon, 07 May 2018 18:25:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Alberto Gonzalez Iniesta <agi@inittab.org>
-Build-Depends: debhelper (>= 7), autotools-dev
+Build-Depends: debhelper (>= 9), autotools-dev
 Standards-Version: 3.9.8
 Homepage: https://github.com/Tripwire/tripwire-open-source

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 config.status: $(QUILT_STAMPFN)
 	dh_testdir
 	dh_autotools-dev_updateconfig
-	./configure --disable-openssl --enable-static --prefix=/usr --sysconfdir=/etc/tripwire
+	dh_auto_configure -- --disable-openssl --enable-static --sysconfdir=/etc/tripwire
 
 build: build-arch build-indep
 build-arch: build-stamp

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/tripwire-open-source-$1\.tar\.gz/ \
  https://github.com/Tripwire/tripwire-open-source/tags .*/v?(\d\S*)\.tar\.gz

## tripwire rpm4

=== src/Makefile ===
--- 
+++ 
@@ -81,8 +81,6 @@
 
 SYSPRE = i686-pc-linux
 #SYSPRE = sparc-linux
-#SYSPRE = i386-unknown-freebsd
-#SYSPRE = i386-unknown-openbsd
 
 
 #-----------------------------------------------------------------------------
@@ -93,7 +91,7 @@
 # file to Makefile.linux_intel or something similar.
 
 MAKEFILE = Makefile
-GMAKE = gmake
+GMAKE = /usr/bin/gmake
 
 #-----------------------------------------------------------------------------
 # STLPORT
